﻿/* Sub View Common */

.sub-view-popup .dx-popup-title.dx-toolbar .dx-menu-item {
    padding: 5px 0 0 0;
}

.event-notification-box-popup .dx-popup-normal.dx-popup-draggable.dx-resizable {
    padding: 0 0 1.25rem 0;
}

[dir="rtl"] .event-notification-box-popup .dx-popup-normal.dx-popup-draggable.dx-resizable {
    padding: 0 0 1.25rem 0;
}

.object-inspection-sub-view .sub-view .property-group-control {
    height: unset;
    flex-direction: column;
}

    .object-inspection-sub-view .sub-view .property-group-control .value-control {
        flex: none;
        width: 100%;
    }

    .object-inspection-sub-view .multiselector2-wrapper {
        max-height: 200px;
        padding-right: 0;
    }

.sub-view-popup .dx-popup-bottom.dx-toolbar {
    padding: 0;
    border-top: 1px solid var(--alfa-border-color-primary);
}

    .sub-view-popup .dx-popup-bottom.dx-toolbar .dx-menu-item {
        padding: 8px;
    }

.sub-view-popup .dx-toolbar .dx-menu-item.dx-state-hover {
    outline: 0;
}

.sub-view-popup .dx-popup-title.dx-toolbar .dx-button-mode-contained.dx-button-default {
    background-color: transparent;
    font-size: 14px;
    color: var(--alfa-text-color-primary);
}

.sub-view-popup .dx-popup-title .dx-toolbar-after {
    padding-top: 4px;
}

.sub-view-popup .dx-popup-title.dx-toolbar .dx-button-mode-contained.dx-button-default .dx-icon {
    color: var(--alfa-text-color-primary);
    font-size: 24px;
    margin-right: 0;
}

    .event-notification-box-popup .dx-toolbar .dx-menu-base .dx-menu-item-content .dx-menu-item-text {
        padding: 0 0.5rem 0 0;
        color: var(--alfa-text-color-primary);
        text-decoration: underline;
    }

.event-notification-box-popup .dx-toolbar .dx-toolbar-item .dx-button {
    background-color: transparent;
    color: var(--alfa-text-color-primary);
}

.event-notification-box-popup .dx-toolbar .dx-button-mode-contained.dx-button-default.dx-state-hover, .dx-button-mode-contained.dx-button-default.dx-state-focused {
    border-color: transparent
}

.event-notification-box-popup .dx-toolbar.dx-popup-title .dx-toolbar-item .dx-button .dx-button-text {
    padding: 8px 0 0 0;
}

.event-notification-box-popup .dx-toolbar .dx-toolbar-item .dx-button .dx-button-text {
    padding: 4px 8px 0 0;
    font-size: 14px;
    text-decoration: underline;
}

.event-notification-box-popup .dx-button-mode-contained.dx-button-default .dx-icon {
    color: var(--alfa-text-color-primary);
    font-size: 14px;
}

.sub-view-popup img {
    max-height: 100%;
    max-width: 100%;
}

.sub-view.abs-layout {
    height: 100%;
}

/*.sub-view .dx-scrollable-content {
    width: 100%;
}*/
.sub-view .stack-layout .dx-textbox {
    height: 32px;
}

    .sub-view .stack-layout .dx-textbox.dx-textarea {
        height: 200px;
    }

        .sub-view .stack-layout .dx-textbox.dx-textarea .dx-texteditor-input {
            height: 200px;
        }

    .sub-view .stack-layout .dx-textbox .dx-texteditor-input {
        height: 32px;
    }

    .sub-view .stack-layout .dx-textbox.editor-active-element .dx-texteditor-input {
        height: auto;
        padding-top: 2px;
    }

    .sub-view .stack-layout .dx-textbox.editor-active-element {
        height: auto;
    }

.sub-view .stack-layout .dx-button-content {
    height: 30px;
}

.sub-view .ai-chat-container {
    height: 100%;
}

/* SubView - Chat styles Start */

.chatbot-sub-view .sub-view,
.chatbot-sub-view .sub-view .stack-layout {
    height: 100%;
}

    .chatbot-sub-view .sub-view .dx-chat {
        border: 0;
    }

    .chatbot-sub-view .sub-view .dx-chat-messagebox {
        border: 0;
    }

    .chatbot-sub-view .sub-view .dx-chat-messagebox-textarea {
        height: 72px !important;
    }

    .chatbot-sub-view .sub-view .dx-chat-messagebox-button {
        padding-bottom: 16px;
    }

    .chatbot-sub-view .sub-view .dx-icon.dx-icon-sendfilled {
        font-size: 36px;
    }
/* Subview - Chat styles End */

    .sub-view .stack-layout {
        gap: 1.5rem;
    }

.sub-view .dx-editor-outlined.dx-texteditor-with-label .dx-texteditor-label .dx-label span {
    font-size: var(--dlt-font-size-xs,.875rem);
    font-weight: var(--dlt-font-weight-medium, 500);
    height: auto;
}

.sub-view .dx-button {
    font-size: var(--dlt-font-size-xs,.875rem);
    /*max-width: 97%*/
}

.sub-view a {
    color: var(--alfa-text-color-primary-selected, #39A0ED);
}
/*WI-46565*/ /* Modified for WI-46765 */
.alfa-generic-list.canSelectAll .dx-list.dx-list-with-search .dx-scrollable-wrapper {
    height: calc(100% - 80px);
}

.alfa-generic-list.absolute .dx-list.dx-list-with-search .dx-scrollable-wrapper {
    height: calc(100% - 160px);
}

/*.alfa-generic-list.canSelectAll.absolute .dx-list.dx-list-with-search .dx-scrollable-wrapper {
    height: calc(100% - 160px);
}*/

/* Sub View Common end */


/* Event Notifications */

.event-notification-box-popup .dx-tabpanel-tabs {
    margin-top: 1rem;
}

    /*.event-notification-box-popup .dx-tabpanel-tabs .dx-tabs {
        border-bottom: 1px solid var(--dlt-color-border-static-primary, #D2D9E0)
    }*/

.event-notification-box-popup .dx-popup-content {
    padding: 0;
}

.event-notification-item {
    display: flex;
    padding-block: 0.5rem;
    border-block-end: 1px solid var(--dlt-color-border-static-primary, #D2D9E0);
}
    
    .event-notification-item .alfa-icon {
        padding-inline: 10px;
        color: var(--alfa-text-color-primary);
    }

.dx-item.dx-list-item.dx-state-hover .event-notification-item .alfa-icon,
.dx-item.dx-list-item.dx-list-item-selected .event-notification-item .alfa-icon {
    padding-inline: 10px;
    color: var(--alfa-text-color-primary-light);
}

[role="listbox"] .dx-item.dx-list-item.dx-list-item-selected .dx-item-content {
    color: var(--alfa-text-color-primary);
}

[role="listbox"] .dx-item.dx-list-item.dx-list-item-selected.dx-state-hover .dx-item-content {
    color: var(--alfa-text-color-primary-light);
}

    .event-notification-item .event-notification-item-action-icon .alfa-icon {
        padding-inline: 0;
    }

    .event-notification-item .event-notification-item-icon {
        padding-block-start: 10px;
    }

        .event-notification-item .event-notification-item-icon i {
            color: var(--alfa-text-color-primary-light);
            font-size: var(--dlt-font-size-sm);
            background-color: var(--dlt-color-background-static-navigation-tertiary);
            border-radius: 50%;
            padding: 10px;
        }

.event-notification-content {
    flex-grow: 1;
    padding-inline: 0.5rem;
}

.event-notification-caption-badge {
    color: var(--alfa-palette-orange-100);
    font-size: var(--alfa-font-size-xxxs-1);
}

.mark-as-read-icon,
.mark-as-read-icon.mark-as-read-icon-unread {
    font-size: 1rem;
}

.dx-button-normal.mark-as-read-icon-unread:not(.dx-button-has-icon):hover,
.dx-button-normal.mark-as-read-icon-unread:not(.dx-button-has-icon):focus {
    background-color: unset !important;
}

    .mark-as-read-icon.mark-as-read-icon-unread {
        color: inherit;
        visibility:hidden;
    }

.event-notification-box-popup .event-notification-item .mark-as-read-icon.mark-as-read-icon-unread {
    margin-block-start: 0.5rem;
}


.event-notification-item:hover {
    outline: var(--dlt-border-width-hover,2px) var(--dlt-border-style-hover,solid) var(--dlt-color-background-static-contrast,--dlt-color-palette-teal-300);
    outline-offset: -2px;
}

.event-notification-item .alfa-icon.mark-as-read-icon > img {
    width: 35px;
    margin-top: 3px;
}

.event-notification-item:hover .mark-as-read-icon.mark-as-read-icon-unread {
  visibility: visible;
}

.event-notification-item .alfa-icon.mark-as-read-icon .dx-button-content {
    align-items: flex-start;
}

    .event-notification-item .alfa-icon.mark-as-read-icon .dx-button-content > img {
        width: 35px;      
    }

.event-notification-item .dx-button-mode-contained.dx-button-normal:not(.dx-button-has-icon,.dx-calendar-caption-button) {
    border: 0;
    background-color: unset;
}

.event-notification-item .dx-button-content {
    display: inline-flex;
    padding: 0;
}

.event-notification-item-actions-container {
    padding-block: 1rem;
}

.event-notification-item-action {
    display: flex;
}

.event-notification-item-action-btn.dx-button {
    font-size: var(--dlt-font-size-xxs, 0.75rem);
    text-decoration-line: underline;
    padding: 0;
}

.notification-wfs-link {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

    .notification-wfs-link a {
        font-size: var(--dlt-font-size-xs, 0.875rem);
        color: var(--alfa-text-color-primary-selected, #39A0ED);
        white-space: normal;
    }

        .notification-wfs-link a:hover {
            text-decoration: none;
            cursor: pointer;
        }

    .notification-wfs-link i {
        font-size: 32px;
        color: var(--alfa-text-color-primary-selected, #39A0ED);
        padding: 0 0 1px 8px;
    }

/* Event Notifications end */


/* Data Quality Finding start */

#dataqualityfindings_subview .dx-list .dx-list-item {
    padding: 0 0 1rem 0;
    border-block-end: 1px solid var(--alfa-color-palette-gray-80, #F2F2F2);
}

    #dataqualityfindings_subview .dx-list .dx-list-item .dx-list-item-content {
        display: flex;
        flex-direction: column;
    }

    #dataqualityfindings_subview .dx-list .dx-list-item.dx-state-hover {
        cursor: default;
        background-color: unset;
    }

.data-quality-finding-item-severity {
    border-radius: 100px;
    font-size: var(--dlt-font-size-xs, 0.875rem);
    font-weight: 600;
    padding: 2px 8px;
}

.data-quality-finding-item-caption {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    font-weight: 600;
    margin-block: 8px;
    line-height: 24px;
    white-space: normal;
}

.data-quality-finding-item-content-text {
    font-size: var(--dlt-font-size-xs, 0.875rem);
    font-weight: 300;
    line-height: 18px;
    margin-block-end: 1.5rem;
    white-space: normal;
}

.data-quality-finding-item-resolution {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

    .data-quality-finding-item-resolution a {
        font-size: var(--dlt-font-size-xs, 0.875rem);
        color: var(--alfa-text-color-primary-selected, #39A0ED);
        white-space: normal;
    }

    .data-quality-finding-item-resolution a:hover {
        text-decoration: none;
        cursor: pointer;
    }

    .data-quality-finding-item-resolution i {
        font-size: 32px;
        color: var(--alfa-text-color-primary-selected, #39A0ED);
        padding: 0 0 1px 8px;
    }

/* Data Quality Finding end */

/* Legend */

.legend-popup .dx-list > .dx-scrollable-wrapper  > .dx-scrollable-container > .dx-scrollable-content {
    padding-inline-end: 1rem;
}

/* Legend end */

.alfa-display-table {
    display: flex;
    justify-content: space-between;
    font-size: var(--alfa-font-size-xxss-1);
}

.sub-view-title-icon i {
    display: block !important;
    width: 20px !important;
    height: 20px !important;
    margin-inline-end: 0;
}

/* board settings subview */
.board-settings-popup .alfa-generic-list {
    height: 250px;
}